package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.base.Trace;
import java.sql.Connection;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.Set;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/UpdateUserVisitCountAction.class */
public class UpdateUserVisitCountAction extends LifeAction {
    private static final String UPDATE_VISIT_COUNT_SQL = "UPDATE PB_VISIT_COUNT SET PVC_VISITCOUNT = PVC_VISITCOUNT+? \tWHERE PVC_CSTNO = ? AND\tPVC_BSNCODE = ?";
    private static final String INSERT_VISIT_COUNT_SQL = "INSERT INTO PB_VISIT_COUNT (PVC_CSTNO,PVC_BSNCODE,PVC_VISITCOUNT)VALUES(?,?,?)";

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v1 */
    /* JADX WARN: Type inference failed for: r0v2, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v24 */
    /* JADX WARN: Type inference failed for: r0v25, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v27, types: [java.sql.Connection] */
    /* JADX WARN: Type inference failed for: r0v4, types: [java.sql.Connection] */
    public String execute(Context context) throws GENEException {
        Connection connection = null;
        try {
            try {
                String customerId = (String) getSessionCtx(context).getDataValue("customerId");
                Map userPrivilegeMap = (Map) getSessionCtx(context).getDataValue("session_businessTable");
                Set<String> businessSet = userPrivilegeMap.keySet();
                connection = LifeDBAccess.getConnection();
                for (String businessCode : businessSet) {
                    Integer count = (Integer) userPrivilegeMap.get(businessCode);
                    if (count.compareTo((Integer) 0) > 0) {
                        List inputList = new ArrayList();
                        inputList.clear();
                        String visitCount = count.toString();
                        inputList.add(visitCount);
                        inputList.add(customerId);
                        inputList.add(businessCode);
                        if (LifeDBAccess.executeSQLUpdate(connection, UPDATE_VISIT_COUNT_SQL, inputList) == 0) {
                            inputList.clear();
                            inputList.add(customerId);
                            inputList.add(businessCode);
                            inputList.add(count.toString());
                            LifeDBAccess.executeSQLUpdate(connection, INSERT_VISIT_COUNT_SQL, inputList);
                        }
                    }
                }
                ?? r0 = connection;
                if (r0 != 0) {
                    try {
                        r0 = connection;
                        LifeDBAccess.releaseConnection((Connection) r0);
                        return "0";
                    } catch (GENEException ex) {
                        LifeDBAccess.log((Exception) r0);
                        throw new GENEException(ex);
                    }
                }
                return "0";
            } catch (GENEException ex2) {
                Trace.logError("LifeAction", "交易异常", ex2);
                throw ex2;
            }
        } catch (Throwable th) {
            ?? r02 = connection;
            if (r02 != 0) {
                try {
                    r02 = connection;
                    LifeDBAccess.releaseConnection((Connection) r02);
                } catch (GENEException ex3) {
                    LifeDBAccess.log((Exception) r02);
                    throw new GENEException(ex3);
                }
            }
            throw th;
        }
    }
}
